<html>
<head>
<title>OGRE: Ogre::Node::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Node.html">Node</a>::<a class="el" href="classOgre_1_1Node_1_1Listener.html">Listener</a></div>
<h1>Ogre::Node::Listener Class Reference</h1><!-- doxytag: class="Ogre::Node::Listener" --><a class="el" href="classOgre_1_1Node_1_1Listener.html" title="Listener which gets called back on Node events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> events.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Node_1_1Listener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#0808cd3ddd6a1ec90ce947677839aab8">Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#2592c473e74e12379be9fdd2d94aa473">~Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#4038dce943694bf4577fc99aa76c99ec">nodeUpdated</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a node gets updated.  <a href="#4038dce943694bf4577fc99aa76c99ec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#1bba5bb036e7e21e44520d4a302deb45">nodeDestroyed</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> is being destroyed.  <a href="#1bba5bb036e7e21e44520d4a302deb45"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#94f0833d9ba1ac036c7c9274a77a3bb7">nodeAttached</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been attached to a parent.  <a href="#94f0833d9ba1ac036c7c9274a77a3bb7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#2d8d30e7eb00989dc97aa0c2e1c94d36">nodeDetached</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been detached from a parent.  <a href="#2d8d30e7eb00989dc97aa0c2e1c94d36"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Node_1_1Listener.html" title="Listener which gets called back on Node events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> events. 
<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00074">74</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0808cd3ddd6a1ec90ce947677839aab8"></a><!-- doxytag: member="Ogre::Node::Listener::Listener" ref="0808cd3ddd6a1ec90ce947677839aab8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Node::Listener::Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00077">77</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2592c473e74e12379be9fdd2d94aa473"></a><!-- doxytag: member="Ogre::Node::Listener::~Listener" ref="2592c473e74e12379be9fdd2d94aa473" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Node::Listener::~Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00078">78</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4038dce943694bf4577fc99aa76c99ec"></a><!-- doxytag: member="Ogre::Node::Listener::nodeUpdated" ref="4038dce943694bf4577fc99aa76c99ec" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Node::Listener::nodeUpdated           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a node gets updated. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that this happens when the node's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the node graph is fully updated. </dd></dl>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00086">86</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bba5bb036e7e21e44520d4a302deb45"></a><!-- doxytag: member="Ogre::Node::Listener::nodeDestroyed" ref="1bba5bb036e7e21e44520d4a302deb45" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Node::Listener::nodeDestroyed           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> is being destroyed. 
<p>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00088">88</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94f0833d9ba1ac036c7c9274a77a3bb7"></a><!-- doxytag: member="Ogre::Node::Listener::nodeAttached" ref="94f0833d9ba1ac036c7c9274a77a3bb7" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Node::Listener::nodeAttached           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been attached to a parent. 
<p>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00090">90</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d8d30e7eb00989dc97aa0c2e1c94d36"></a><!-- doxytag: member="Ogre::Node::Listener::nodeDetached" ref="2d8d30e7eb00989dc97aa0c2e1c94d36" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Node::Listener::nodeDetached           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been detached from a parent. 
<p>

<p>Definition at line <a class="el" href="OgreNode_8h-source.html#l00092">92</a> of file <a class="el" href="OgreNode_8h-source.html">OgreNode.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreNode_8h-source.html">OgreNode.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:00 2008
</p>
</body>
</html>
